.map-wrapper {
  width: 100%;
  height: 100%;

  &.disable .btn-fullscreen {
    display: none;
  }

  .btn-fullscreen {
    position: absolute;

    bottom: 220px;
    right: $spacer * 0.3;

    z-index: 999;
  }
}

.map-view {
  position: relative;
  overflow: hidden;

  width: 100%;
  height: 100%;

  .map-overlay-container {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 999;
    padding-top: 20px;
  }

  .container-flex,
  .container-flex > .row,
  .map {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
  }

  .col.map {
    margin: 0;
    padding: 0;
  }

  .map-attributions {
    max-width: 40%;
    opacity: 0;
    transition: opacity ease-in-out 0.5s;

    background: $transparency-color;
    backdrop-filter: $transparency-blur;
    -webkit-backdrop-filter: $transparency-blur;
    -moz-backdrop-filter: $transparency-blur;

    &.is-visible {
      opacity: 1;
    }

    h1 {
      font-size: medium;
      font-weight: bold;
    }

    .dropdown-menu {
      top: auto;
      bottom: $spacer*2;
    }

    .attributions {
      pointer-events: all;
      text-shadow: #ffffff 0 0 20px,
      #ffffff 0 0 10px,
      #ffffff 0 0 5px,
      rgba(255,255,255,0.8) -1px -1px 2px,
      rgba(255,255,255,0.8) 1px 1px 2px;
    }
  }

  @include media-breakpoint-between(xs, sm) {
    .map-attributions {
      text-align: center;
      width: 100%;
      max-width: 100%;
    }

    .map-actions {
      text-align: center;
    }
  }
}

.is-small .btn-clear-search {
  position: absolute;
  top: -40px;
  left: 9px;
}

